1. URL translations
Clonable API
  • URL translations
    • Resolve
      POST
    • Resolve Bulk
      POST
    • Create
      POST
    • Create Bulk
      POST
  • Translations
    • Create
      POST
  • Health
    GET
  • Ready
    GET
  • Schemas
    • URL translations
      • Translation Response
      • Create Request
  1. URL translations

Create Bulk

POST
/url-translations/create-bulk
Read the usage docs before using this endpoint.
This endpoint is for creating new URLs in bulk in the Clonable dashboard, this is not meant for retrieving URL translations for a website, use the Resolve Bulk endpoint in that case.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthenticated
🟠403Unauthorized
🟠422Unprocessable Entity
🟠429Too Many Requests
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Go
curl --location '/url-translations/create-bulk' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "urls": [
        {
            "url": "https://internal-amnesty.biz/",
            "site_id": "A2A2A2A2A2A2A2A2",
            "clone_id": "B4B4B4B4B4B4B4B4",
            "create_new": true
        },
        {
            "url": "https://french-detective.com/",
            "site_id": "A1A1A1A1A1A1A1A1",
            "clone_id": "C5C5C5C5C5C5C5C5",
            "create_new": false
        }
    ]
}'
Response Response Example
201 - Create URL translation
{
    "urls": [
        {
            "translation": "https://www.clonable.net/pricing"
        },
        {
            "translation": "https://www.clonable.net/de/preise"
        },
        {
            "translation": "https://be.clonable.net/prijzen"
        }
    ]
}
Modified at 2026-09-04 14:49:54
Previous
Create
Next
Translations
Built with